VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::HostTypes::ConnectionState Class Reference

The `Host.ConnectionState` enumerated type defines the connection status of a host. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, CONNECTED, DISCONNECTED, NOT_RESPONDING }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ConnectionState[] | GetValues ()
static ConnectionState | ValueOf (string name)
## Static Public Attributes
static readonly ConnectionState | CONNECTED = new ConnectionState("CONNECTED", Values.CONNECTED)
| Host is connected to the vCenter Server.
static readonly ConnectionState | DISCONNECTED = new ConnectionState("DISCONNECTED", Values.DISCONNECTED)
| Host is disconnected from the vCenter Server.
static readonly ConnectionState | NOT_RESPONDING = new ConnectionState("NOT_RESPONDING", Values.NOT_RESPONDING)
| VirtualCenter is not receiving heartbeats from the server.

## Detailed Description

The `Host.ConnectionState` enumerated type defines the connection status of a host.

## Member Enumeration Documentation

enum vmware::vcenter::HostTypes::ConnectionState::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  CONNECTED | Host is connected to the vCenter Server.
  DISCONNECTED | Host is disconnected from the vCenter Server.
  NOT_RESPONDING | VirtualCenter is not receiving heartbeats from the server. The state automatically changes to connected once heartbeats are received again.

## Member Function Documentation

Values vmware::vcenter::HostTypes::ConnectionState::GetEnumValue | ( |  | ) | `[inline]`

static ConnectionState [] vmware::vcenter::HostTypes::ConnectionState::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::HostTypes::ConnectionState::IsUnknown | ( |  | ) | `[inline]`

static ConnectionState vmware::vcenter::HostTypes::ConnectionState::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ConnectionState vmware::vcenter::HostTypes::ConnectionState::CONNECTED = new ConnectionState("CONNECTED", Values.CONNECTED)`[static]`

Host is connected to the vCenter Server.

readonly ConnectionState vmware::vcenter::HostTypes::ConnectionState::DISCONNECTED = new ConnectionState("DISCONNECTED", Values.DISCONNECTED)`[static]`

Host is disconnected from the vCenter Server.

readonly ConnectionState vmware::vcenter::HostTypes::ConnectionState::NOT_RESPONDING = new ConnectionState("NOT_RESPONDING", Values.NOT_RESPONDING)`[static]`

VirtualCenter is not receiving heartbeats from the server.

The state automatically changes to connected once heartbeats are received again.

The documentation for this class was generated from the following file:

- HostTypes.cs